rm(list=ls())


#install.packages("installr") 
#library(installr)
#updateR()

#######
.libPaths()

#install.packages("rstudioapi")
library("rstudioapi")

#install.packages("ggplot2",dependancies = T)  #Run this only once to install the ggplot package
library(ggplot2)
#install.packages("ggpubr")
library(ggpubr)
#install.packages("dplyr")
library(plyr)
#install.packages("gplots")
library(gplots)
######
#install.packages("readxl")
library(readxl)

setwd(dirname(getActiveDocumentContext()$path))
getwd()

RobotFalcon <- read_excel("Falcon_col_esc_freq_R.xlsx")
Drone <- read_excel("Drone_col_esc_freq_R.xlsx")

unique(RobotFalcon$Behaviour_type)

RobotFalconcleaned=subset(RobotFalcon, RobotFalcon$Behaviour_type== "Compacting" |
                            RobotFalcon$Behaviour_type== "Turn" |
                            RobotFalcon$Behaviour_type== "Blackening" |
                      #RobotFalcon$Behaviour_type== "Dilution" |  
                        RobotFalcon$Behaviour_type== "Split" |
                        RobotFalcon$Behaviour_type== "Merge" |
                        RobotFalcon$Behaviour_type== "Dive" |
                        RobotFalcon$Behaviour_type== "Wave_Event" |
                        RobotFalcon$Behaviour_type== "Cordon" |
                        RobotFalcon$Behaviour_type== "Flash_Expansion")

unique(RobotFalconcleaned$Behaviour_type)


Dronecleaned=subset(Drone, Drone$Behaviour_type== "Compacting" |
                      Drone$Behaviour_type== "Turn" |
                      Drone$Behaviour_type== "Blackening" |
                      #Drone$Behaviour_type== "Dilution" |  
                      Drone$Behaviour_type== "Split" |
                      Drone$Behaviour_type== "Merge" |
                      Drone$Behaviour_type== "Dive" |
                      Drone$Behaviour_type== "Wave_Event" |
                      Drone$Behaviour_type== "Cordon" |
                      Drone$Behaviour_type== "Flash_Expansion")

unique(Dronecleaned$Behaviour_type)



datafrequencies=data.frame()                                           #Maak een nieuwe tabel
datafrequencies[1:length(unique(Dronecleaned$Sequence)),]=NA             #Initieer hoe groot de tabel zal worden
k=0

for (i in 1:(max(Dronecleaned$Sequence)))
{
  subsetfreq=subset(Dronecleaned,Dronecleaned$Sequence==i)  
  if(nrow(subsetfreq)> 0 ) {
  k=k+1
  datafrequencies$duration[k]=max(subsetfreq$end_time) - min(subsetfreq$starting_time)         #duration of the sequence
  datafrequencies$total_escape[k]=nrow(subsetfreq)                                          #number of escape responses
  datafrequencies$Escape_freq[k]=datafrequencies$total_escape[k] / datafrequencies$duration[k] * 60    #amount of escape responses per
  datafrequencies$djur[k] = subsetfreq$Species[1]
  }
}    
datafrequenciesD = datafrequencies
datafrequenciesD$method = "Drone"
str(datafrequenciesD)


## RobotFalcon
datafrequencies=data.frame()                                           #Maak een nieuwe tabel
datafrequencies[1:length(unique(RobotFalconcleaned$Sequence)),]=NA             #Initieer hoe groot de tabel zal worden
k=0

for (i in 1:(max(RobotFalconcleaned$Sequence)))
{  
  subsetfreq=subset(RobotFalconcleaned,RobotFalconcleaned$Sequence==i)  
  if(nrow(subsetfreq)> 0 ) {
  k=k+1
  datafrequencies$duration[k]=max(subsetfreq$end_time) - min(subsetfreq$starting_time)         #duration of the sequence
  datafrequencies$total_escape[k]=nrow(subsetfreq)                                          #number of escape responses
  datafrequencies$Escape_freq[k]=datafrequencies$total_escape[k] / datafrequencies$duration[k] * 60    #amount of escape responses per
  datafrequencies$djur[k] = subsetfreq$Species[1]
  }
}   
datafrequenciesF = datafrequencies    
datafrequenciesF$method = "RobotFalcon"
str(datafrequenciesF)


datafrequenciestotal = rbind(datafrequenciesF, datafrequenciesD)
str(datafrequenciestotal)

datafrequenciestotal$djur=as.factor(datafrequenciestotal$djur)
datafrequenciestotal$method=as.factor(datafrequenciestotal$method)

datafrequenciestotal$method=ordered(datafrequenciestotal$method, levels = c("RobotFalcon", "Drone"))

## Summarizes data.
## Gives count, mean, standard deviation, standard error of the mean, and confidence interval (default 95%).
##   data: a data frame.
##   measurevar: the name of a column that contains the variable to be summariezed
##   groupvars: a vector containing names of columns that contain grouping variables
##   na.rm: a boolean that indicates whether to ignore NA's
##   conf.interval: the percent range of the confidence interval (default is 95%)
summarySE <- function(data=NULL, measurevar, groupvars=NULL, na.rm=FALSE,
                      conf.interval=.95, .drop=TRUE) {
  library(plyr)
  
  # New version of length which can handle NA's: if na.rm==T, don't count them
  length2 <- function (x, na.rm=FALSE) {
    if (na.rm) sum(!is.na(x))
    else       length(x)
  }
  
  # This does the summary. For each group's data frame, return a vector with
  # N, mean, and sd
  datac <- ddply(data, groupvars, .drop=.drop,
                 .fun = function(xx, col) {
                   c(N    = length2(xx[[col]], na.rm=na.rm),
                     mean = mean   (xx[[col]], na.rm=na.rm),
                     sd   = sd     (xx[[col]], na.rm=na.rm)
                   )
                 },
                 measurevar
  )
  
  # Rename the "mean" column    
  datac <- rename(datac, c("mean" = measurevar))
  
  datac$se <- datac$sd / sqrt(datac$N)  # Calculate standard error of the mean
  
  # Confidence interval multiplier for standard error
  # Calculate t-statistic for confidence interval: 
  # e.g., if conf.interval is .95, use .975 (above/below), and use df=N-1
  ciMult <- qt(conf.interval/2 + .5, datac$N-1)
  datac$ci <- datac$se * ciMult
  
  return(datac)
}


t.test(Escape_freq ~ method, data = datafrequenciestotal)
res.aov2 <- aov(Escape_freq  ~ method + djur, data = datafrequenciestotal)
summary(res.aov2)

summaryfreq=summarySE(datafrequenciestotal, measurevar="Escape_freq", groupvars=c("method", "djur"))
summaryfreq$method=as.factor(summaryfreq$method)
summaryfreq$method=ordered(summaryfreq$method, levels = c("RobotFalcon", "Drone"))

summaryfreq$method

ggplot(summaryfreq, aes(x=djur, y=Escape_freq, fill=method)) + 
  geom_bar(position=position_dodge(), colour="black", stat="identity") +
  scale_fill_manual(values=c("Darkgrey", "White"))+
  labs(#title="Number of landings per flight",
       x="Species", y = "Frequency of collective escape (responses/min) ")+
  geom_errorbar(aes(ymin=Escape_freq-se, ymax=Escape_freq+se),
                width=.2,                    # Width of the error bars
                position=position_dodge(.9))+
  guides(fill=guide_legend(title="Deterrence method"))+
  theme_classic()+  scale_y_continuous(expand = c(0, 0), limits = c(0, 27))+
  theme(plot.title = element_text(size=15),
        axis.title.x=element_text(size=15),
        axis.text.x=element_text(size=11),
        axis.ticks.x=element_blank(),
        axis.text.y = element_text(size=11),
        axis.title.y = element_text(size=14))


