# removes everything as to start with an empty sheet 

rm(list=ls())

#install.packages(rstudioapi)
library("rstudioapi")

#install.packages("pillar")

#install.packages("dplyr")
library(dplyr)

#install.packages("readxl")
library(readxl)

#install.packages("ggplot2")
library(ggplot2)

#install.packages("gridExtra")
library(gridExtra )

library(grid)

setwd(dirname(getActiveDocumentContext()$path))
getwd

data=read_excel("FID.xlsx")
data2=data.frame(FID=c(data$`FID (m)`), multispecies=c(data$`Multispecies?`),Altitude=c(data$Altitude),species=c(data$Species), Speed=c(data$Speed), flockizes=c(data$Flock_size),weather=c(data$Weather),date=c(data$Date), behaviour=c(data$Bird_behaviour))


##############################

str(data2)
data2$species=as.character(data2$species)

unique(data2$species) #easy way to see the included species in data2

data3=subset(data2, data2$species!="Wood pigeon"&data2$species!="Lesser black backed gull"&
               data2$species!="Pigeon"&data2$species!="Thrush")

data3$species[data3$species == "Crow"] <- "Corvid"                   
data3$species[data3$species == "Rook"] <- "Corvid"                   
data3$species[data3$species == "Jackdaw"] <- "Corvid"  

data3$species=as.factor(data3$species)


corvids<-subset(data3,species=="Corvid")                 
starlings<-subset(data3, species=="Starling")
gulls<-subset(data3, species=="Gull")
lapwings<-subset(data3, species=="Lapwing")
mainspecies<-subset(data3, species=="Corvid"|species=="Gull"|species=="Starling"|species=="Lapwing")


names(data3)
names(Dataframe)


##############################################
############### Figure 4b ####################
##############################################

names(mainspecies)[4]

names(mainspecies)[4]="Species"

unique(mainspecies$Species)
str(mainspecies$Species)
mainspecies$Species=as.character(mainspecies$Species)
mainspecies$Species[mainspecies$Species == "Corvid"] <- "Corvids" 
mainspecies$Species[mainspecies$Species == "Lapwing"] <- "Lapwings" 
mainspecies$Species[mainspecies$Species == "Starling"] <- "Starlings" 
mainspecies$Species[mainspecies$Species == "Gull"] <- "Gulls"   

mainspecies$Species=as.factor(mainspecies$Species)

ggplot(mainspecies, aes(x=Altitude, y=FID )) + 
  scale_shape_manual(values=c(19, 3, 1,17))+
  geom_smooth(se=FALSE,method="lm", fullrange=TRUE,size=1,aes(linetype= Species, color=Species)) +
  geom_point(aes(shape= Species),size=2.5) +  # Set color to vary based on state categories.
  scale_colour_manual(values = c("Black","Black","Black","Black")) +
  scale_linetype_manual(values=c(4, 1, 2,3))+
  #coord_cartesian(xlim=c(0, 200), ylim=c(0, 150)) +
  labs(title="", y="FID (m)", x=" Altitude of approach by the RobotFalcon  (m)")+
  theme_classic()+  
  theme(
    #legend.position = "none", this makes the background white instead of grey
    axis.text.x = element_text(size=12),
    axis.text.y = element_text(size=12),
    axis.title.x = element_text(size=14),
    axis.title.y = element_text(size=14),
    legend.key.size = unit(1, 'cm'), #change legend key size
    legend.key.height = unit(1, 'cm'), #change legend key height
    legend.key.width = unit(1, 'cm'), #change legend key width
    legend.title = element_text(size=14), #change legend title font size
    legend.text = element_text(size=11))


##############################################
################# Figure 5 ###################
##############################################

## Lapwings

lapwings$date=as.Date(lapwings$date)

datelapwings<-ggplot(lapwings, aes(date, FID))+
  geom_point(na.rm=TRUE, size=2) + 
  geom_smooth(method="lm") +
  ggtitle("C. Lapwings"#, subtitle="Date values for lapwings and their FID"
          ) +
  scale_x_date(breaks = ("15 days"), date_labels = ("%b %d")) +
  xlab("") + ylab("")+
  theme_classic()+  
  theme(title= element_text(size=14),
    #legend.position = "none", this makes the background white instead of grey
    axis.text.x = element_text(size=11),
    axis.text.y = element_text(size=11),
    axis.title.x = element_blank(),
    axis.title.y = element_blank()
  )

## Gulls

gulls$date=as.Date(gulls$date)

dategulls<-ggplot(gulls, aes(date, FID))+
  geom_point(na.rm=TRUE, size=2) + 
  geom_smooth(method="lm") +
  ggtitle("B. Gulls"#,subtitle="Date values for gulls and their FID"
          ) +
  scale_x_date(breaks = ("15 days"), date_labels = ("%b %d")) +
  xlab("") + ylab("")+
  theme_classic()+  
  theme(title= element_text(size=14),
    #legend.position = "none", this makes the background white instead of grey
    axis.text.x = element_text(size=11),
    axis.text.y = element_text(size=11),
    axis.title.x = element_blank(),
    axis.title.y = element_blank()
  )

## Corvids

corvids$date=as.Date(corvids$date)

datecorvids<-ggplot(corvids, aes(date, FID))+
  geom_point(na.rm=TRUE,  size=2) + 
  geom_smooth(method="lm") +
  ggtitle("A. Corvids"#, subtitle="Date values for corvids and their FID"
          ) +
  scale_x_date(breaks = ("15 days"), date_labels = ("%b %d")) +
  xlab("") + ylab("")+
  theme_classic()+  
  theme(title= element_text(size=14),
    #legend.position = "none", this makes the background white instead of grey
    axis.text.x = element_text(size=11),
    axis.text.y = element_text(size=11),
    axis.title.x = element_blank(),
    axis.title.y = element_blank()
  )


## Starlings

starlings$date=as.Date(starlings$date)

datestarling<-ggplot(starlings, aes(date, FID))+
  geom_point(na.rm=TRUE, size=2) + 
  geom_smooth(method="lm") +
  ggtitle("D. Starlings"#,subtitle="Date values for starlings and their FID"
          ) +
  scale_x_date(breaks = ("15 days"), date_labels = ("%b %d")) +
  xlab("") + ylab("")+
  theme_classic()+  
  theme(
    title= element_text(size=14),
    #legend.position = "none", this makes the background white instead of grey
    axis.text.x = element_text(size=11),
    axis.text.y = element_text(size=11),
    axis.title.x = element_blank(),
    axis.title.y = element_blank()
  )

## All four species
grid.arrange(datecorvids,dategulls,datelapwings,datestarling, nrow =2,
             #top = textGrob("FID over time",gp=gpar(fontsize=16,font=1)),
             left = textGrob("Flight Initiation Distance (m)",gp=gpar(fontsize=16),rot =90),
             bottom = textGrob("Date",gp=gpar(fontsize=16)))
g <- arrangeGrob(datecorvids,dategulls,datelapwings,datestarling, nrow =2,
                 #top = textGrob("FID over time",gp=gpar(fontsize=0,font=1)),
                 left = textGrob("Flight Initiation Distance (m)",gp=gpar(fontsize=16),rot =90),
                 bottom = textGrob("Date",gp=gpar(fontsize=16)))
ggsave("FIG5.png", g, width = 25, height = 20, units = "cm")

ggsave("FIG5.eps", g, device=cairo_ps,width = 25, height = 20, units = "cm")


