# removes everything as to start with an empty sheet 

rm(list=ls())

#install.packages(rstudioapi)
library("rstudioapi")

#install.packages("pillar")

#install.packages("dplyr")
library(dplyr)

#install.packages("readxl")
library(readxl)

#install.packages("ggplot2")
library(ggplot2)

#install.packages("gridExtra")
library(gridExtra )

#install.packages("ggfortify")
library(ggfortify)

#install.packages("survival")
library(survival)

#install.packages("survminer")
library(survminer)

#install.packages("gridExtra")
library(gridExtra )

library(grid)


setwd(dirname(getActiveDocumentContext()$path))
getwd


TimeData<-read.table("ReturnAirbaseandRobotFalcon.txt", header = T)


TimeData2=TimeData

str(TimeData2)

TimeData2$Species=as.factor(TimeData2$Species)
TimeData2$Return=as.factor(TimeData2$Return)

unique(TimeData2$Species)
# levels(TimeData2$Species)= c(paste(levels(TimeData2$Species)[1]," (n=",
#                            nrow(subset(TimeData2,TimeData2$Species==levels(TimeData2$Species)[1])),")",sep=""),
#                            paste(levels(TimeData2$Species)[2]," (n=",
#                            nrow(subset(TimeData2,TimeData2$Species==levels(TimeData2$Species)[2])),")",sep=""),
#                            paste(levels(TimeData2$Species)[3]," (n=",
#                            nrow(subset(TimeData2,TimeData2$Species==levels(TimeData2$Species)[3])),")",sep=""),
#                            paste(levels(TimeData2$Species)[4]," (n=",
#                            nrow(subset(TimeData2,TimeData2$Species==levels(TimeData2$Species)[4])),")",sep="")
#                          )

TimeData2$State=NA
for (i in 1:nrow(TimeData2)){
  if (TimeData2$Return[i]=="yes"){TimeData2$State[i]=1}
  else{TimeData2$State[i]=0}
}


############################################################
############################################################


fit <-survfit(Surv(Time, State) ~ 1, data = TimeData2)

fit

g=ggsurvplot(fit,surv.median.line = "hv", 
           TimeData2, 
           #facet.by = "Species")
           title = "Survival plot on the proportion of birds returned after dispersal",
           xlab="Time after dispersal (minutes)",
           ylab="Proportion of sites without birds",
           #legend.title = "Field state",
           #legend.labs = "All (n=96)",
           conf.int = TRUE)#,
           #pval=TRUE) 

#ggsave("return20191.png", print(g), width = 20, height = 20, units = "cm")


############################################################
############################################################


fits <-survfit(Surv(Time, State) ~ Species, data = TimeData2)

fits

g=ggsurvplot(fits,surv.median.line = "hv", 
           TimeData2, 
           #facet.by = "Species")
           title = "Survival plot on the proportion of birds returned after dispersal",
           xlab="Time after dispersal (minutes)",
           ylab="Proportion of sites without birds",
           #legend.title = "Species",
           #legend.labs = c("Corvids (n=30)","Gulls (n=52)","Lapwings (n=14)","Starlings (n=41)"),
           conf.int = FALSE,
pval=TRUE) 

#ggsave("return20192.png", print(g), width = 20, height = 20, units = "cm")

############################################################
############################################################

############################################################
############################################################


fits <-survfit(Surv(Time, State) ~ Method, data = TimeData2)

fits

g=ggsurvplot(subset(fits,fits$n > 20),surv.median.line = "hv", 
             TimeData2, 
             #facet.by = "Species")
             title = "Survival plot on the proportion of birds returned after dispersal",
             xlab="Time after dispersal (minutes)",
             ylab="Proportion of sites without birds",
             #legend.title = "Species",
             #legend.labs = c("Corvids (n=30)","Gulls (n=52)","Lapwings (n=14)","Starlings (n=41)"),
             conf.int = FALSE,
             pval=TRUE) 

#ggsave("return20192.png", print(g), width = 20, height = 20, units = "cm")

############################################################
############################################################





fits <-survfit(Surv(Time, State) ~ Method, 
               data = subset(TimeData2,(TimeData2$Species=="Stormmeeuw"|
                               TimeData2$Species=="Kokmeeuw"|TimeData2$Species=="Gulls")&
                               (TimeData2$Method=="2"|TimeData2$Method=="7"|TimeData2$Method=="RobotFalcon")
               ))

fits

#subset(fits,fits$n>20)

a=ggsurvplot(fits,#surv.median.line = "hv",# fun = "event",
           TimeData2, 
           #facet.by = "Species")
           title = "Gulls",
           xlab="",
           ylab="",
           #legend="none",
           legend.title = "Method",
           legend.labs = c(#"Scarecrow Ultimate (n=77)",
                           "Sound Installation (n=106)",
           #"Extended Cal. 12 (n=76)",
           #"Screecher Cal. 12 (n=31)",
           "1.5 Inch (n=37)",
           "RobotFalcon (n=52)"),
           conf.int = FALSE,
           #pval=TRUE
) 

a2=a$plot+scale_colour_manual(values = c("red","DarkGreen","Black")) + theme_classic()+  
  theme(
    #legend.position = "none", this makes the background white instead of grey
    axis.text.x = element_text(size=11),
    axis.text.y = element_text(size=11),
    axis.title.x = element_blank(),
    axis.title.y = element_blank(),
    #legend.position="bottom"
  )+ theme(legend.position=c(.75, .9))


fits <-survfit(Surv(Time, State) ~ Method, 
               data = subset(TimeData2,(TimeData2$Species=="Spreeuw"|TimeData2$Species=="Starlings")&
                               (TimeData2$Method=="2"|TimeData2$Method=="6"|TimeData2$Method=="RobotFalcon") 
                             ))

fits

#subset(fits,fits$n>20)

b=ggsurvplot(fits,#surv.median.line = "hv", # fun = "event",
           TimeData2, 
           #facet.by = "Species")
           title = "Starlings",
           xlab="",
           ylab="",
           #legend="none",
           legend.title = "Method",
           legend.labs = c(#"Scarecrow Ultimate (n=125)",
                           "Sound Installation (n=49)",
                           #"Extended Cal. 12 (n=28)",
                           "Screecher Cal. 12 (n=30)",
                           "RobotFalcon (n=41)"),
           conf.int = FALSE,
           #pval=TRUE
) 

b2=b$plot+scale_colour_manual(values = c("red","DarkOrange","Black")) + theme_classic()+  
  theme(
    #legend.position = "none", this makes the background white instead of grey
    axis.text.x = element_text(size=11),
    axis.text.y = element_text(size=11),
    axis.title.x = element_blank(),
    axis.title.y = element_blank(),
    #legend.position="bottom"
  )+ theme(legend.position=c(.75, .9))


fits <-survfit(Surv(Time, State) ~ Method, 
               data = subset(TimeData2,(TimeData2$Species=="kauw"|TimeData2$Species=="Roek"|TimeData2$Species=="Zwarte_Kraai"|TimeData2$Species=="Corvids")&
                               (TimeData2$Method=="2"|TimeData2$Method=="5"|TimeData2$Method=="RobotFalcon")
                             ))

fits

#subset(fits,fits$n>20)

c=ggsurvplot(fits,#surv.median.line = "hv", # fun = "event",
           TimeData2, 
           #facet.by = "Species")
           title = "Corvids",
           xlab="",
           ylab="",
           #legend="none",
           legend.title = "Method",
           legend.labs = c(#"Scarecrow Ultimate (n=136)",
                           "Sound Installation (n=101)",
                           "Extended Cal. 12 (n=45)",
                           #"Screecher Cal. 12 (n=31)",
                           "RobotFalcon (n=30)"),
           conf.int = FALSE,
           #pval=TRUE
) 

c2=c$plot+scale_colour_manual(values = c("red","SteelBlue","Black")) + theme_classic()+  
  theme(
    #legend.position = "none", this makes the background white instead of grey
    axis.text.x = element_text(size=11),
    axis.text.y = element_text(size=11),
    axis.title.x = element_blank(),
    axis.title.y = element_blank(),
    #legend.position="bottom"
  )+ theme(legend.position=c(.75, .9))





fits <-survfit(Surv(Time, State) ~ Method, 
               data = subset(TimeData2,TimeData2$Species=="Kievit"|TimeData2$Species=="Lapwings"))

fits

subset(fits,fits$n>13)

d=ggsurvplot(subset(fits,fits$n > 13),#surv.median.line = "hv", # fun = "event",
           TimeData2, 
           #facet.by = "Species")
           title = "Lapwings",
           xlab="",
           ylab="",
           #legend="none",
           legend.title = "Method",
           legend.labs = c("Sound Installation (n=29)",
            "RobotFalcon (n=14)"),
           conf.int = FALSE,
           #pval=TRUE
           ) 


d2=d$plot+scale_colour_manual(values = c("red","Black")) + theme_classic()+  
  theme(
    #legend.position = "none", this makes the background white instead of grey
    axis.text.x = element_text(size=11),
    axis.text.y = element_text(size=11),
    axis.title.x = element_blank(),
    axis.title.y = element_blank(),
    #legend.position="bottom"
  )+ theme(legend.position=c(.75, .9))



splots <- list(c2,a2,d2,b2)

# arrange_ggsurvplots(splots, print = TRUE,
#                     ncol = 2, nrow = 2, risk.table.height = 0.4,
#                     title = "Survival plot on the proportion of birds returned after dispersal",)


 g <- arrangeGrob(c2,a2,d2,b2, nrow =2,
                  #top = textGrob("Survival plot of sites without birds after deterrence",gp=gpar(fontsize=16,font=1)),
                  left = textGrob("Proportion of sites without birds",gp=gpar(fontsize=14),rot =90),
                  bottom = textGrob("Time after deterring the birds (minutes)",gp=gpar(fontsize=14)))
grid.draw(g)



